using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Stockpiles;
using Sirenix.OdinInspector;


namespace KairoEngine.VoxelBuildingSystem
{
    [CreateAssetMenu(fileName = "BuildingTemplate", menuName = "KairoEngine/VoxelBuildingSystem/BuildingTemplate"), HideMonoScript]
    public class BuildingTemplate : ScriptableObject
    {
        [BoxGroup("Properties", showLabel: false)] public string title;
        [BoxGroup("Properties")] public Vector3Int size;
        [BoxGroup("Properties")] public Transform prefab;
        [BoxGroup("Properties")] public Transform visual;
        [BoxGroup("Properties")] public Sprite image;
        [BoxGroup("Properties")] public Sprite icon;
        [BoxGroup("Properties"), TextArea(2, 8), HideLabel, PropertySpace(4, 4)] public string description;

        public List<VoxelConnectorData> connectors = new List<VoxelConnectorData>();

        public List<Stockpile> cost = new List<Stockpile>();
    }
}